Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235867 - LDAP authentication fails
Summary: LDAP authentication fails
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: httpd
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-10 15:43 UTC by Adam Huffman
Modified: 2008-05-06 19:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-06 19:29:48 UTC


Attachments (Terms of Use)

Description Adam Huffman 2007-04-10 15:43:39 UTC
Description of problem:
Whereas simple LDAP authentication for Apache works on another (Ubuntu) server
running Apache 2.0.55, I can't get it to work on FC5 or FC6.  This doesn't seem
to be related to https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=188073 as
there's no evidence of a segfault and it occurs on both x86 and x86_64.

Version-Release number of selected component (if applicable):
httpd-2.2.2-1.2

How reproducible:

Every time

Steps to Reproduce:
1. Configure LDAP authentication:

Alias /ldaptest /var/www/html/ldaptest

<Location /ldaptest>
  AuthType Basic
  AuthName "My Security Realm"
  AuthBasicProvider ldap
  AuthLDAPURL "<URL that works on the other machine"
  Require valid-user
</Location>


2. Go to website
3.
  
Actual results:
Authentication dialogue box appears but it never succeeds

Expected results:
Authentication succeeds and the site is viewable in the browser

Additional info:

This is the error if I try to use a TLS connection:

[Tue Apr 10 16:26:46 2007] [warn] [client 130.88.90.190] [22099] auth_ldap
authenticate: user <deleted> authentication failed; URI /ldaptest [LDAP:
ldap_start_tls_s() failed][Connect error]

If I try without TLS, I get the following:

[Tue Apr 10 16:41:37 2007] [debug] mod_authnz_ldap.c(454): [client 127.0.0.1]
[32721] auth_ldap authenticate: accepting <username>
[Tue Apr 10 16:41:37 2007] [debug] mod_authnz_ldap.c(826): [client 127.0.0.1]
[32721] auth_ldap authorise: authorisation denied

even though the password is correct.

Comment 1 Bug Zapper 2008-04-04 06:49:54 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 2 Bug Zapper 2008-05-06 19:29:47 UTC
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.